package roseindia.net;

import java.sql.Connection;
import java.sql.DriverManager;
import java.sql.ResultSet;
import java.sql.SQLException;
import java.sql.Statement;

public class JDBCResultSetConcurrency {
	private String driverName = "com.mysql.jdbc.Driver";
	private String connectionURL = "jdbc:mysql://localhost:3306/student";

	public JDBCResultSetConcurrency() {
		try {
			Class.forName(driverName);
		} catch (ClassNotFoundException e) {
			System.out.println(e.toString());
		}
	}

	public Connection createcoConnection() {
		Connection conn = null;
		try {
			conn = DriverManager.getConnection(connectionURL, "root", "root");
		} catch (Exception e) {
			System.out.println(e.toString());
		}
		return conn;
	}

	public static void main(String srgs[]) throws SQLException {
		JDBCResultSetConcurrency newConnection = new JDBCResultSetConcurrency();
		Statement stmt = newConnection.createcoConnection().createStatement();
		String query = "SELECT * FROM student";
		ResultSet rs = stmt.executeQuery(query);
		int concurrency = rs.getConcurrency();
		System.out.println("ResultSet Concurrency is " + concurrency);
		while (rs.next()) {
			System.out.println("Roll No- " + rs.getInt("RollNo") + ", Name- "
					+ rs.getString("Name") + ", Course- "
					+ rs.getString("course") + ", Address- "
					+ rs.getString("Address"));
		}
	}
}
